package m05bBD;

/**
 * Date: May 6, 2004
 * Time: 9:14:09 AM
 */

/**
 * This class holds information about an order,
 * The table <tt>m0537t00_reformas</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0537T00 (
  COD_REF_37      	VARCHAR2 (20)    NOT NULL,
  FECHA_37       	DATE,
  MATRIC_37         VARCHAR2 (20) NOT NULL,
  MARCA_37          VARCHAR2 (100),
  COD_TIPREF_27      NUMBER (6),
  NUMERO_37         VARCHAR2 (50),
  TALLER_37         VARCHAR2 (4),
  OBSERV_37      	VARCHAR2 (100),
  PRIMARY KEY ( COD_REF_37 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bReformas implements java.io.Serializable{
  private String ref_codigo    				= "0";
  private String ref_fecha        			= "";
  private String ref_matric				    = "";
  private String ref_marca		            = "";
  private String ref_tipref            		= "";
  private String ref_numero                 = "";
  private String ref_taller                 = "";
  private String ref_observ                 = "";


  public String getRef_codigo(){return ref_codigo;}
  public void setRef_codigo(String n){ref_codigo = n;}

  public String getRef_fecha(){return ref_fecha;}
  public void setRef_fecha(String n){ref_fecha = n;}

  public String getRef_matric(){return ref_matric;}
  public void setRef_matric(String n){ref_matric = n;}

  public String getRef_marca(){return ref_marca;}
  public void setRef_marca(String n){ref_marca = n;}


  public String getRef_numero(){return ref_numero;}
  public void setRef_numero(String n){ref_numero = n;}

  public String getRef_tipref(){return ref_tipref;}
  public void setRef_tipref(String n){ref_tipref = n;}

  public String getRef_taller(){return ref_taller;}
  public void setRef_taller(String n){ref_taller = n;}

  public String getRef_observ(){return ref_observ;}
  public void setRef_observ(String n){ref_observ = n;}




  public String toString(){
    String s = "";
    s += "[Codigo Reforma = " + ref_codigo + "]";
    s += "[Fecha Reforma = " + ref_fecha + "]";
    s += "[Matricula Reforma = " + ref_matric + "]";
    s += "[Marca Reforma = " + ref_marca + "]";
    s += "[Numero = " + ref_numero + "]";
    s += "[Tipo Reforma = " + ref_tipref + "]";
    s += "[Taller = " + ref_taller + "]";
    s += "[Observaciones = " + ref_observ + "]";
    return s;
  }

}
